---

# ------------------------------------------------------------------------------------------------------------
# standard for all playbooks

#- name: network
#  src: https://github.com/linux-system-roles/network.git
#  version: 1.1.0

- name: resolv
  src: https://github.com/ahuffman/ansible-resolv.git
  version: 1.3.1

- name: dnsmasq
  src: https://github.com/bertvv/ansible-dnsmasq.git
  version: v2.1.0

- name: sshd
  src: https://github.com/willshersystems/ansible-sshd.git
  version: v0.8.0

- name: ulimit
  src: https://github.com/picotrading/ansible-ulimit.git
  version: master

- name: systemd-fuckoff
  src: https://gitlab.com/bodsch/ansible-systemd-fuckoff.git
  scm: git
  version: master

- name: common
  src: https://gitlab.com/coremedia-as-code/ansible-roles/common.git
  scm: git
  version: 1.0.2

- name: ntp
  src: https://github.com/geerlingguy/ansible-role-ntp.git
  scm: git
  version: 2.2.0

- name: disk
  src: https://github.com/AerisCloud/ansible-disk.git
  scm: git
  version: v2.6.1

# ------------------------------------------------------------------------------------------------------------
# requrements for build

- name: nodejs
  src: https://github.com/geerlingguy/ansible-role-nodejs.git
  version: 5.1.0

- name: java
  src: https://github.com/geerlingguy/ansible-role-java.git
  version: 1.9.7

- name: sencha_cmd
  src: https://gitlab.com/coremedia-as-code/ansible-roles/ansible-sencha_cmd.git
  scm: git
  version: 1.0.1

- name: maven
  src: https://gitlab.com/coremedia-as-code/ansible-roles/ansible-maven.git
  scm: git
  version: 1.0.1

- name: chromium-headless
  src: https://gitlab.com/coremedia-as-code/ansible-roles/ansible-chromium-headless.git
  scm: git
  version: 1.0.0

- name: coremedia-build
  src: https://gitlab.com/coremedia-as-code/ansible-roles/ansible-coremedia-build.git
  scm: git
  version: 1.0.1

# ------------------------------------------------------------------------------------------------------------
# OS related stuff

# - name: epel
#   src: geerlingguy.repo-epel
#   version: 1.3.0

# ------------------------------------------------------------------------------------------------------------
# databases

- name: mariadb
  src: https://github.com/bodsch/ansible-mariadb.git
  version: master

# - name: postgresql
#   src: https://github.com/ANXS/postgresql
#   version: v1.12.0

- name: mongodb
  src: https://github.com/UnderGreen/ansible-role-mongodb.git
  version: v2.6.1

# ------------------------------------------------------------------------------------------------------------
# docker and registry

- name: aws-cli
  src: https://github.com/ChromaticHQ/ansible-role-aws-cli.git
  scm: git
  version: 1.1.0

- name: docker
  src: https://github.com/geerlingguy/ansible-role-docker.git
  version: 2.8.2

- name: harbor
  src: https://github.com/bodsch/ansible-role-harbor.git
  scm: git
  version: master

# ------------------------------------------------------------------------------------------------------------
# other stuff

- name: snakeoil
  src: https://github.com/bodsch/ansible-snakeoil.git
  scm: git
  version: 1.2.1

# - name: jolokia
#   src: https://gitlab.com/bodsch/ansible-jolokia.git
#   scm: git
#   version: 1.1.0

- name: nginx
  src: https://github.com/geerlingguy/ansible-role-nginx.git
  version: 2.8.0

# ------------------------------------------------------------------------------------------------------------
# CoreMedia

- name: license-manager
  src: https://gitlab.com/coremedia-as-code/ansible-roles/license-manager.git
  scm: git
  version: 1.1.1

- name: container
  src: https://gitlab.com/coremedia-as-code/ansible-roles/container.git
  scm: git

- name: content-import
  src: https://gitlab.com/coremedia-as-code/ansible-roles/content-import.git
  scm: git
  version: feature/support-docker-container

# - name: coremedia
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/coremedia.git
#   scm: git
#   version: 1.1.0

# - name: tomcat
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/tomcat.git
#   scm: git
#   version: 2.0.0

# - name: command-line-tools
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/command-line-tools.git
#   scm: git
#   version: master
#
# - name: content-server
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/content-server.git
#   scm: git
#   version: master

# - name: content-management-server_tools
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/content-management-server_tools.git
#   scm: git
#   version: master
#
# - name: master-live-server_tools
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/master-live-server_tools.git
#   scm: git
#   version: master
#
# - name: replication-live-server_tools
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/replication-live-server_tools.git
#   scm: git
#   version: master
#
# - name: workflow-server_tools
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/workflow-server_tools.git
#   scm: git
#   version: master
#
# - name: caefeeder_tools
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/caefeeder_tools.git
#   scm: git
#   version: master
#
# - name: theme-importer_tools
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/theme-importer_tools.git
#   scm: git
#   version: master
#
# - name: solr
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/solr.git
#   scm: git
#   version: 2.1.0
#
# - name: solr_cores
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/solr_cores.git
#   scm: git
#   version: 1.0.0
#
# - name: content-management-server
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/content-management-server.git
#   scm: git
#   version: master
#
# - name: master-live-server
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/master-live-server.git
#   scm: git
#   version: master
#
# - name: replication-live-server
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/replication-live-server.git
#   scm: git
#   version: master
#
# - name: workflow-server
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/workflow-server.git
#   scm: git
#   version: master
#
# - name: caefeeder-live
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/caefeeder-live.git
#   scm: git
#   version: master
#
# - name: caefeeder-preview
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/caefeeder-preview.git
#   scm: git
#   version: master
#
# - name: content-feeder
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/content-feeder.git
#   scm: git
#   version: master
#
# - name: elastic-worker
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/elastic-worker.git
#   scm: git
#   version: master
#
# - name: user-changes
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/user-changes.git
#   scm: git
#   version: master
#
# - name: studio
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/studio.git
#   scm: git
#   version: master
#
# - name: cae-live
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/cae-live.git
#   scm: git
#   version: master
#
# - name: cae-preview
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/cae-preview.git
#   scm: git
#   version: master
#
# - name: content-import
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/content-import.git
#   scm: git
#   version: master
#
# - name: overview
#   src: https://gitlab.com/coremedia-as-code/ansible-roles/overview.git
#   scm: git
#   version: master
#
# ------------------------------------------------------------------------------------------------------------
